Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboBoxUI.FocusHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.FocusHandler

- All Implemented Interfaces:
    `FocusListener`, `EventListener`
  Enclosing class:
    BasicComboBoxUI

      public class BasicComboBoxUI.FocusHandler
      extends Object
      implements FocusListener

  This listener hides the popup when the focus is lost. It also repaints when focus is gained or lost. This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FocusHandler()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.awt.event.FocusListener

      `focusGained, focusLost`

- - ### Constructor Detail

    - #### FocusHandler

          public FocusHandler()